# statsname

Names the statistics counters that track this action instance.

This parameter applies to omazureeventhubs: Microsoft Azure Event Hubs Output Module.

Name:

  statsname

Scope:

  input

Type:

  word

Default:

  input=omazureeventhubs

Required?:

  no

Introduced:

  v8.2304

## Description

The name assigned to statistics specific to this action instance. The supported set of statistics tracked for this action instance are `submitted`, `accepted`, `failures`, and `othererrors`. Note that in global module statistics, the counter corresponding to `othererrors` is named `failures_other`.

## Input usage

    action(type="omazureeventhubs" statsName="custom-azure" ...)

## See also

See also omazureeventhubs: Microsoft Azure Event Hubs Output Module.

Support: rsyslog Assistant | GitHub Discussions | GitHub Issues: rsyslog source project

Contributing: Source & docs: rsyslog source project

© 2008–2025 Rainer Gerhards and others. Licensed under the Apache License 2.0.